Bug 1084032 - perl-BZ-Client-1.04-9.fc21 FTBFS in F21 and F20
Summary: perl-BZ-Client-1.04-9.fc21 FTBFS in F21 and F20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-BZ-Client
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Petr Pisar
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-03 13:15 UTC by Petr Pisar
Modified: 2014-06-22 09:22 UTC (History)
2 users (show)

Fixed In Version: perl-BZ-Client-1.04-10.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-22 09:22:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 94402 None None None Never

Description Petr Pisar 2014-04-03 13:15:56 UTC
perl-BZ-Client-1.04-9.fc21 fails to build in F21 and F20 randomly due to tests:

Expect: <methodCall><methodName>someMethod</methodName><params><param><value>123
</value></param><param><value><i4>345</i4></value></param><param><value><double>
4.6</double></value></param><param><value><array><data><value>a</value><value>b<
/value><value>c</value></data></array></value></param><param><value><dateTime.is
o8601>2011-09-19T17:09:03Z</dateTime.iso8601></value></param><param><value><stru
ct><member><name>a</name><value><i4>0</i4></value></member><member><name>b</name
><value>xyz</value></member></struct></value></param></params></methodCall>
Got:    <methodCall><methodName>someMethod</methodName><params><param><value>123
</value></param><param><value><i4>345</i4></value></param><param><value><double>
4.6</double></value></param><param><value><array><data><value>a</value><value>b<
/value><value>c</value></data></array></value></param><param><value><dateTime.is
o8601>2011-09-19T17:09:03Z</dateTime.iso8601></value></param><param><value><stru
ct><member><name>b</name><value>xyz</value></member><member><name>a</name><value
><i4>0</i4></value></member></struct></value></param></params></methodCall>
# Test 1 got: "0" (t/11writer.t at line 103)
#   Expected: "1" (TestBasic)
#  t/11writer.t line 103 is: ok(TestBasic(), 1, "TestBasic");
t/11writer.t .... 
Failed 1/2 subtests 

This looks like a hash key order randomization.

Comment 1 Petr Pisar 2014-04-18 12:20:24 UTC
According to the XML-RPC specification, key order in structure is not significant. So this is simply a bad test.

Comment 2 Fedora Update System 2014-04-18 12:49:25 UTC
perl-BZ-Client-1.04-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-BZ-Client-1.04-10.fc20

Comment 3 Fedora Update System 2014-04-29 05:21:29 UTC
perl-BZ-Client-1.04-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Emmanuel Seyman 2014-06-22 09:22:27 UTC
This was fixed some time ago.


Note You need to log in before you can comment on or make changes to this bug.